Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 12016 - New version of David Chester's freetype patch, please consider providing
Summary: New version of David Chester's freetype patch, please consider providing
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Martin Schlemmer (RETIRED)
URL: http://www.cs.mcgill.ca/~dchest/xfthack/
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-12 06:37 UTC by Kerin Millar
Modified: 2003-02-04 19:42 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kerin Millar 2002-12-12 06:37:55 UTC
Hi. I just found out that David Chester has released a new set of patches for
improving font rendering in freetype-2.1.3 which he dubs the "smooth" patch. The
examples over at his site look great. The README makes some mention of using it
with OpenOffice as well which is interesting because I find the font rendering
in openoffice-bin most unsatisfactory (fonts are excessively weighted and don't
scale correctly for one thing).

Please could you consider:

1) Updating the ebuild for freetype and including the patch
2) Integrating into XFree, if required.

Perhaps the above could be controlled by use of a new USE flag.
Comment 1 Martin Schlemmer (RETIRED) gentoo-dev 2002-12-12 21:00:07 UTC
Looks good.  Our new Xfree ebuild use system freetype, so I think we should
rather patch freetype itself.
Comment 2 Martin Schlemmer (RETIRED) gentoo-dev 2002-12-12 22:11:09 UTC
Ok, added to freetype-2.1.3.
Comment 3 Kerin Millar 2002-12-13 08:28:37 UTC
Wow, that was quick. Thanks a lot, I'm going to try that right away. I'm very
pleased to hear that XFree builds against the system freetype now.

Did you see how good the OpenOffice shots looked on the site also? Would there
be any possibility to clean up the openoffice-bin binary? The modifications that
were added to the 1.0.1 build, the truetype tweaks and so forth,  just made
things a lot worse (and no offense to the person who came up with the patches).
I'm trying to write a document now, and I have to go back to Windows and Word
because it's quite bad, even 1.0.0 was more workable :-(
But on David's site it looks like the best possible font rendering in a word
processor on Linux ever ...

Basically, can openoffice/openoffice-bin be made to work so that the results are
as on David Chester's site? Is he just running an un-modified OpenOffice and his
freetype does the good stuff I wonder. Although I haven't tried it yet, I'm
worried that the patches in Gentoo's openoffice will interfere. Specifically,
from openoffice-1.0.1-r1.ebuild:

 # Get OO to build with freetype-2.1.2
 cd ${S}
 cp ${DISTDIR}/freetype-${FT_VER}.tar.gz ${S}/freetype/download || die
 cp ${FILESDIR}/${PV}/freetype-${FT_VER}.patch ${S}/freetype || die
 epatch ${FILESDIR}/${PV}/${P}-use-freetype-${FT_VER}.patch
        # Get OO to build with freetype-2.1.2
        cd ${S}
        cp ${DISTDIR}/freetype-${FT_VER}.tar.gz ${S}/freetype/download || die
        cp ${FILESDIR}/${PV}/freetype-${FT_VER}.patch ${S}/freetype || die
        epatch ${FILESDIR}/${PV}/${P}-use-freetype-${FT_VER}.patch

Won't this need to be changed? Sorry if I should have raised this on a new
report but I hope this is consistent with my mention of openoffice in the
initial filing of #12016.

Many thanks.